﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Agilent DSO80x04B (1 yr) VER IEEE /9500+1Hd,E8257D
DATE:                  2017-02-06 09:13:47
AUTHOR:                Fluke
REVISION:              $Revision: 18156 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       313
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         Agilent E4413A on channel 1
CONFIGURATION:         Agilent E8257D
STANDARD:              Agilent 11667B
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent DSO80204B, DSO80304B, DSO80404B, DSO80604B
#
#  Compatibility:
#         MET/CAL 7.11 SP1 (7.11j) or later
#
#  Source(s):
#        Agilent 80000 Series Infiniium Oscilloscopes Service Guide,
#         Part No. D8104-97000, February 2006
#
#  Additional Equipment Required:
#        Power Splitter, 2 resistor, DC to >= 18 GHz, Agilent 11667B or
#         equivalent
#        Adapter, 3.5 mm (f) SMA to Precision BNC, Agilent Part No.
#         54855-67604, No Substitute
#        Adapter, 3.5 mm (m) to 3.5 mm (m) SMA, Agilent Part No. E2655-83202
#         or equivalent
#        Coaxial cable, 3.5 mm (m) to 3.5 mm (m) SMA, DC to >= 18 GHz,
#         Agilent Part No. 8120-4948 or equivalent
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  9500         500MH                        100mVpp        LS    S  L
  1.004  SCPI         [@E8257]*RST
  1.005  STD          Agilent 11667B
  1.006  ENDIF

  1.007  CALL         Sub Copyright
  1.008  MATH         PUT("Req_METCAL_Version", "7.11j")
  1.009  CALL         Sub Check MET/CAL Version

  1.010  IF           GET("METCAL_Version_OK") != 1
  1.011  DISP         This procedure requires MET/CAL 7.11j or later.
  1.012  END
  1.013  ENDIF

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         30 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.016  DISP         operation. From the menu bar (using the mouse):
  1.016  DISP
  1.016  DISP         Select "Utilities", followed by "GPIB Setup..."
  1.016  DISP
  1.016  DISP         Note the UUT address. If this workstation is equipped
  1.016  DISP         with two GPIB cards, the address is unimportant, as
  1.016  DISP         long as it is not (0) zero. If, however, only 1 GPIB
  1.016  DISP         card is installed, the UUT address must not conflict
  1.016  DISP         with those of configured reference(s).
  1.016  DISP
  1.016  DISP         Select an appropriate address, as necessary.

  1.017  DISP         Connect the UUT to the workstation to the available
  1.017  DISP         IEEE-488 Port.

  1.018  SCPI         *RST
# Set Post-Test reset condition for UUT.
  1.019  RESET        *CLS[GTL]
# Set Post-Test reset condition for E8257D signal generator.
  1.020  RESET        [@E8257]OUTP:STAT OFF

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query (*IDN?) IEEE
# Make sure correct UUT is connected.
  1.023  MATH         S[1] = GETV("Manufacturer"); S[2] = GETV("Model_Num")
  1.024  MATH         L[1] = ZCMPI("Agilent Technologies", S[1])
  1.025  MATH         L[2] = ZCMPI(S[7], S[2])

  1.026  IF           (L[1] && L[2]) == 0
  1.027  DISP         The UUT is an [S1] [S2],
  1.027  DISP         not an Agilent Technologies [S7]!
  1.028  END
  1.029  ENDIF

  1.030  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.031  CALL         Sub Pause on Failed Tests
  1.032  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.033  HEAD         EQUIPMENT REQUIRED
  1.034  DISP         The following additional equipment is required to
  1.034  DISP         facilitate the verification:
  1.034  DISP
  1.034  DISP         - Power Splitter, 2 resistor, DC to >= 18 GHz,
  1.034  DISP         [32] Agilent 11667B or equivalent
  1.034  DISP         - Adapter, 3.5 mm (f) SMA to Precision BNC, Agilent
  1.034  DISP         [32] Part No. 54855-67604, No Substitute
  1.034  DISP         - Adapter, 3.5 mm (m) to 3.5 mm (m) SMA, Agilent Part
  1.034  DISP         [32] No. E2655-83202 or equivalent
  1.034  DISP         - Coaxial cable, 3.5 mm (m) to 3.5 mm (m) SMA, DC to
  1.034  DISP         [32] >= 18 GHz, Agilent Part No. 8120-4948 or equivalent

  1.035  CALL         Sub Connector Precautions (3.5 mm)

  1.036  RSLT         =
  1.037  HEAD         SELF TEST
  1.038  TARGET
  1.039  DISP         Ensure nothing is connected to the UUT input
  1.039  DISP         channels at this time.
  1.039  DISP
  1.039  DISP         NOTE: Self-Test takes approximately 5 minutes
  1.039  DISP         [32]     to complete.
  1.040  SCPI         [T300000]*TST?[I]
  1.041  EVAL   -e MEM == 0 : SELF TEST
  2.001  SCPI         *RST

  2.002  RSLT         =
  2.003  HEAD         {VERTICAL PERFORMANCE ACCURACY}
  2.004  MATH         PUT("Chan", 1)
  2.005  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  2.006  MATH         PUT("Chan", 2)
  2.007  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  2.008  MATH         PUT("Chan", 3)
  2.009  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  2.010  MATH         PUT("Chan", 4)
  2.011  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE

  2.012  HEAD         INSTRUMENT CONNECTIONS
  2.013  DISP         Make the following connections:
  2.013  DISP
  2.013  DISP         [32]       9500          to    UUT
  2.013  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 1

  2.014  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.015  DISP         The next routine operator intervention occurs
  2.015  DISP         in approximately 2 minutes...
  2.016  ELSE
  2.017  DISP         The next routine operator intervention occurs
  2.017  DISP         in approximately 19 minutes.
  2.018  ENDIF

  2.019  MATH         PUT("Chan", 1)
  2.020  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.021  JMPL         CH1_DCV_GAIN

  2.022  LABEL        CH2_OFFSET_GAIN
  2.023  HEAD         INSTRUMENT CONNECTIONS
  2.024  DISP         Make the following connections:
  2.024  DISP
  2.024  DISP         [32]       9500          to    UUT
  2.024  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 2

  2.025  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.026  DISP         The next routine operator intervention occurs
  2.026  DISP         in approximately 2 minutes...
  2.027  ELSE
  2.028  DISP         The next routine operator intervention occurs
  2.028  DISP         in approximately 19 minutes.
  2.029  ENDIF

  2.030  MATH         PUT("Chan", 2)
  2.031  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.032  JMPL         CH2_DCV_GAIN

  2.033  LABEL        CH3_OFFSET_GAIN
  2.034  HEAD         INSTRUMENT CONNECTIONS
  2.035  DISP         Make the following connections:
  2.035  DISP
  2.035  DISP         [32]       9500          to    UUT
  2.035  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 3

  2.036  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.037  DISP         The next routine operator intervention occurs
  2.037  DISP         in approximately 2 minutes...
  2.038  ELSE
  2.039  DISP         The next routine operator intervention occurs
  2.039  DISP         in approximately 19 minutes.
  2.040  ENDIF

  2.041  MATH         PUT("Chan", 3)
  2.042  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.043  JMPL         CH3_DCV_GAIN

  2.044  LABEL        CH4_OFFSET_GAIN
  2.045  HEAD         INSTRUMENT CONNECTIONS
  2.046  DISP         Make the following connections:
  2.046  DISP
  2.046  DISP         [32]       9500          to    UUT
  2.046  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 4

  2.047  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.048  DISP         The next routine operator intervention occurs
  2.048  DISP         in approximately 2 minutes...
  2.049  ELSE
  2.050  DISP         The next routine operator intervention occurs
  2.050  DISP         in approximately 19 minutes.
  2.051  ENDIF

  2.052  MATH         PUT("Chan", 4)
  2.053  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.054  JMPL         CH4_DCV_GAIN

  2.055  LABEL        CH1_DCV_GAIN
  2.056  MATH         PUT("Chan", 1)
  2.057  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.058  JMPL         CH2_OFFSET_GAIN

  2.059  LABEL        CH2_DCV_GAIN
  2.060  MATH         PUT("Chan", 2)
  2.061  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.062  JMPL         CH3_OFFSET_GAIN

  2.063  LABEL        CH3_DCV_GAIN
  2.064  MATH         PUT("Chan", 3)
  2.065  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.066  JMPL         CH4_OFFSET_GAIN

  2.067  LABEL        CH4_DCV_GAIN
  2.068  MATH         PUT("Chan", 4)
  2.069  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.070  DISP         Remove all connections.

  2.071  HEAD         ZERO/CAL POWER METER
  2.072  DISP         Connect the Agilent E4413A Power Sensor to the E4418B
  2.072  DISP         POWER REF via the Type N male to 3.5 female adapter
  2.072  DISP         (supplied with Power Sensor).

  2.073  M4418  F64   E4413A
  2.074  4418         1mW                          50MH              CP N  CH1

  2.075  PIC          dso8xxxx_bandwidth_e8257d.jpg

  2.076  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.077  DISP         The next routine operator intervention occurs
  2.077  DISP         in approximately 4 minutes...
  2.078  ELSE
  2.079  DISP         The next routine operator intervention occurs
  2.079  DISP         in approximately 12 minutes.
  2.080  ENDIF

  2.081  MATH         PUT("Chan", 1)
  2.082  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /E8257D

  2.083  DISP         Move the connections from the UUT CH 1 to CH 2.

  2.084  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.085  DISP         The next routine operator intervention occurs
  2.085  DISP         in approximately 4 minutes...
  2.086  ELSE
  2.087  DISP         The next routine operator intervention occurs
  2.087  DISP         in approximately 12 minutes.
  2.088  ENDIF

  2.089  MATH         PUT("Chan", 2)
  2.090  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /E8257D

  2.091  DISP         Move the connections from the UUT CH 2 to CH 3.

  2.092  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.093  DISP         The next routine operator intervention occurs
  2.093  DISP         in approximately 4 minutes...
  2.094  ELSE
  2.095  DISP         The next routine operator intervention occurs
  2.095  DISP         in approximately 12 minutes.
  2.096  ENDIF

  2.097  MATH         PUT("Chan", 3)
  2.098  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /E8257D

  2.099  DISP         Move the connections from the UUT CH 3 to CH 4.

  2.100  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.101  DISP         The next routine operator intervention occurs
  2.101  DISP         in approximately 4 minutes...
  2.102  ELSE
  2.103  DISP         The next routine operator intervention occurs
  2.103  DISP         in approximately 12 minutes.
  2.104  ENDIF

  2.105  MATH         PUT("Chan", 4)
  2.106  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /E8257D

  2.107  DISP         V E R I F I C A T I O N  C O M P L E T E!
  2.108  END
